#! /usr/bin/perl -w

my $PDIR = '..' ;
my $PSD = 'psd' ;
my $model = '104' ;

my $eps = 0.0001 ;
my $statfile = 'grid.dat' ;


#
# solve model and do simulation
#
my $msdfile = 'msd.dat' ;

copy_file("$PDIR/simu_hp.tsp","simu_hp.tsp") ;
copy_file("$PDIR/HPfilter.tsp","HPfilter.tsp") ;

#
# RBE with random money growth
#
$_ = get_params(0.007, 0.0025) ;
write_file('CaseNo.def', $_) ;
system("$PSD $PDIR/steady.in") ;
system("$PSD $PDIR/beliefs.in") ;
system("$PSD $PDIR/RBE$model.in") ;

#
# RBE with constant money growth
#
$_ = get_params(0, 0.0025) ;
write_file('CaseNo.def', $_) ;
system("$PSD $PDIR/steady.in") ;
system("$PSD $PDIR/beliefs.in") ;
system("$PSD $PDIR/RBE$model.in") ;

#
# REE with constant money growth
#
$_ = get_params(0, 0) ;
write_file('CaseNo.def', $_) ;
system("$PSD $PDIR/steady.in") ;
system("$PSD $PDIR/beliefs.in") ;
system("$PSD $PDIR/RBE$model.in") ;

exit ;

#
# get_params($caseno)
#
sub get_params {
    my ($sig,$lam) = @_ ;
    my $startREE = 1 ;
    #$startREE = 1 unless ($case) ;
    return qq~
const
  sig_ro = $sig, lam_nuy = $lam, eps_star = $eps,
  MONEY_GROWTH = 1, start_with_REE = $startREE ;
    ~ ;
}

#
# read_file($src)
#
sub read_file {
    my ($src) = @_ ;
    my $delim = $/;
    $/ = undef ;
    open(FILE,"$src") || die("Cannot write to file $src\n") ;
    $_ = <FILE> ;
    close(FILE) ;
    $/ = $delim ;
    return $_ ;
}

#
# write_file($filename,$string)
#
sub write_file {
    my ($fn,$tx) = @_ ;
    open(FILE,">$fn") || die("Cannot write to file $fn\n") ;
    print FILE $tx ;
    close(FILE) ;
}

#
# copy_file($src,$dst) 
#
sub copy_file {
    my ($src,$dst) = @_ ;
    $_ = read_file($src) ;
    write_file($dst,$_) ;
}

